librime: rime::Dictionary Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::Dictionary Class Reference

`#include <dictionary.h>`

Inheritance diagram for rime::Dictionary:
[legend]
Collaboration diagram for rime::Dictionary:
[legend]

## Public Member Functions
RIME_DLL | Dictionary (string name, vector< string > packs, vector< of< Table > > tables, an< Prism > prism)
virtual | ~Dictionary ()
bool | Exists () const
RIME_DLL bool | Remove ()
RIME_DLL bool | Load ()
RIME_DLL an< DictEntryCollector > | Lookup (const SyllableGraph &syllable_graph, size_t start_pos, const hash_set< string > *blacklist=nullptr, bool predict_word=false, double initial_credibility=0.0)
RIME_DLL size_t | LookupWords (DictEntryIterator *result, const string &str_code, bool predictive, size_t limit=0, const hash_set< string > *blacklist=nullptr)
RIME_DLL bool | Decode (const Code &code, vector< string > *result)
const string & | name () const
RIME_DLL bool | loaded () const
const vector< string > & | packs () const
const vector< of< Table > > & | tables () const
const an< Table > & | primary_table () const
const an< Prism > & | prism () const

## Additional Inherited Members
Public Types inherited from rime::Class< Dictionary, const Ticket & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Dictionary, const Ticket & >
static Component * | Require (const string &name)

## Constructor & Destructor Documentation

## ◆ Dictionary()

rime::Dictionary::Dictionary | ( | string | name,
|  | vector< string > | packs,
|  | vector< of< Table > > | tables,
|  | an< Prism > | prism )

## ◆ ~Dictionary()

rime::Dictionary::~Dictionary | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Decode()

bool rime::Dictionary::Decode | ( | const Code & | code,
|  | vector< string > * | result )

## ◆ Exists()

bool rime::Dictionary::Exists | ( |  | ) | const

## ◆ Load()

bool rime::Dictionary::Load | ( |  | ) |

## ◆ loaded()

bool rime::Dictionary::loaded | ( |  | ) | const

## ◆ Lookup()

an< DictEntryCollector > rime::Dictionary::Lookup | ( | const SyllableGraph & | syllable_graph,
|  | size_t | start_pos,
|  | const hash_set< string > * | blacklist = nullptr,
|  | bool | predict_word = false,
|  | double | initial_credibility = 0.0 )

## ◆ LookupWords()

size_t rime::Dictionary::LookupWords | ( | DictEntryIterator * | result,
|  | const string & | str_code,
|  | bool | predictive,
|  | size_t | limit = 0,
|  | const hash_set< string > * | blacklist = nullptr )

## ◆ name()

const string & rime::Dictionary::name | ( |  | ) | const
| inline

## ◆ packs()

const vector< string > & rime::Dictionary::packs | ( |  | ) | const
| inline

## ◆ primary_table()

const an< Table > & rime::Dictionary::primary_table | ( |  | ) | const
| inline

## ◆ prism()

const an< Prism > & rime::Dictionary::prism | ( |  | ) | const
| inline

## ◆ Remove()

bool rime::Dictionary::Remove | ( |  | ) |

## ◆ tables()

const vector< of< Table > > & rime::Dictionary::tables | ( |  | ) | const
| inline

The documentation for this class was generated from the following files:

- dictionary.h
- dictionary.cc